work around compile error with g++ 4.3.2
[enigma2.git] / po / Makefile.am
1 dist_noinst_SCRIPTS = xml2po.py
2
3 LANGS = ar ca cs da de el en es et fi fr fy hr hu is it lt lv nl no pl pt ru sv sk sl sr tr uk
4 LANGMO = $(LANGS:=.mo)
5 LANGPO = $(LANGS:=.po)
6
7 EXTRA_DIST = $(LANGPO)
8
9 # the TRANSLATORS: allows putting translation comments before the to-be-translated line.
10 enigma2-py.pot: $(top_srcdir)/*.py $(top_srcdir)/lib/python/*/*.py $(top_srcdir)/lib/python/Plugins/*/*/*.py
11         $(XGETTEXT) -L Python --from-code=UTF-8 --add-comments="TRANSLATORS:" -d @PACKAGE_NAME@ -s -o $@ $^
12
13 enigma2-xml.pot: $(srcdir)/xml2po.py $(top_srcdir)/data/*.xml $(top_srcdir)/lib/python/Plugins/SystemPlugins/*/*.xml
14         $(PYTHON) $^ > $@
15
16 enigma2.pot: enigma2-py.pot enigma2-xml.pot
17         cat $^ | $(MSGUNIQ) --no-location -o $@ -
18
19 %.po: enigma2.pot
20         if [ -f $@ ]; then \
21                 $(MSGMERGE) --backup=none --no-location -s -N -U $@ $< && touch $@; \
22         else \
23                 $(MSGINIT) -l $@ -o $@ -i $< --no-translator; \
24         fi
25
26 .po.mo:
27         $(MSGFMT) -o $@ $<
28
29 BUILT_SOURCES = $(LANGMO)
30 CLEANFILES = $(LANGMO) enigma2-py.pot enigma2-xml.pot enigma2.pot
31
32 dist-hook: $(LANGPO)
33
34 install-data-local: $(LANGMO)
35         for lang in $(LANGS); do \
36                 $(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/po/$$lang/LC_MESSAGES; \
37                 $(INSTALL_DATA) $$lang.mo $(DESTDIR)$(pkgdatadir)/po/$$lang/LC_MESSAGES/@PACKAGE_NAME@.mo; \
38         done
39
40 uninstall-local:
41         for lang in $(LANGS); do \
42                 $(RM) $(DESTDIR)$(pkgdatadir)/po/$$lang/LC_MESSAGES/@PACKAGE_NAME@.mo; \
43         done